UEP(4)

NAME
uep - eGalax touchscreen driver

SYNOPSIS
To compile this driver into the kernel, place the following lines into your kernel configuration file:

device uep
device usb

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    uep_load="YES"

DESCRIPTION
The uep driver provides support for the eGalax onscreen touch panels.

The driver is stub. It just probes and attaches to USB device, creates device entry and feeds reassembled packets from the hardware to it.

To get mouse working in X(7), one needs to install ports/x11-drivers/xf86-input-egalax.

FILES
uep creates a blocking pseudo-device file, /dev/uep0.

SEE ALSO
usb(4), loader.conf(5), xorg.conf(5) (ports/x11/xorg), egalax(4) (ports/x11-drivers/xf86-input-egalax).

AUTHORS
-nosplit The uep driver was written by Gleb Smirnoff <glebius@FreeBSD.org>

BUGS
uep can't act like sysmouse(4), since the latter does not support absolute motion events.